update for configure.in#1.158
authorfcusack <fcusack>
Sat, 6 Jul 2002 02:19:36 +0000 (02:19 +0000)
committerfcusack <fcusack>
Sat, 6 Jul 2002 02:19:36 +0000 (02:19 +0000)
configure
src/main/Makefile.in

index a739f36..7b382bd 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.156 .
+# From configure.in Revision: 1.158 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52d.
 #
@@ -9877,24 +9877,7 @@ else
 echo "${ECHO_T}no." >&6
 fi
 
-echo "$as_me:9880: checking how to link libradius.a" >&5
-echo $ECHO_N "checking how to link libradius.a... $ECHO_C" >&6
-LDTYPE=`ld -V | head -1`
-if echo $LDTYPE | egrep -q "GNU ld" ; then
-  libradius_a="-Wl,-whole-archive -Wl,-lradius -Wl,--no-whole-archive"
-  echo "$as_me:9885: result: --whole-archive" >&5
-echo "${ECHO_T}--whole-archive" >&6
-else if echo $LDTYPE | egrep -q "Solaris-ELF" ; then
-  libradius_a="-Wl,-z -Wl,allextract -Wl,-lradius -Wl,-z -Wl,defaultextract"
-  echo "$as_me:9889: result: -z allextract" >&5
-echo "${ECHO_T}-z allextract" >&6
-else
-  { { echo "$as_me:9892: error: unknown!" >&5
-echo "$as_me: error: unknown!" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-echo "$as_me:9897: checking for crypt in -lcrypt" >&5
+echo "$as_me:9880: checking for crypt in -lcrypt" >&5
 echo $ECHO_N "checking for crypt in -lcrypt... $ECHO_C" >&6
 if test "${ac_cv_lib_crypt_crypt+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9902,7 +9885,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcrypt  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9905 "configure"
+#line 9888 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -9927,16 +9910,16 @@ crypt ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9930: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9913: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9933: \$? = $ac_status" >&5
+  echo "$as_me:9916: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9936: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9919: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9939: \$? = $ac_status" >&5
+  echo "$as_me:9922: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_crypt_crypt=yes
 else
@@ -9947,7 +9930,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9950: result: $ac_cv_lib_crypt_crypt" >&5
+echo "$as_me:9933: result: $ac_cv_lib_crypt_crypt" >&5
 echo "${ECHO_T}$ac_cv_lib_crypt_crypt" >&6
 if test $ac_cv_lib_crypt_crypt = yes; then
   CRYPTLIB="-lcrypt"
@@ -9960,13 +9943,13 @@ if test "$CRYPTLIB" != ""; then
 _ACEOF
 
 else
-  echo "$as_me:9963: checking for crypt" >&5
+  echo "$as_me:9946: checking for crypt" >&5
 echo $ECHO_N "checking for crypt... $ECHO_C" >&6
 if test "${ac_cv_func_crypt+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9969 "configure"
+#line 9952 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char crypt (); below.  */
@@ -10003,16 +9986,16 @@ f = crypt;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10006: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9989: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10009: \$? = $ac_status" >&5
+  echo "$as_me:9992: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10012: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9995: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10015: \$? = $ac_status" >&5
+  echo "$as_me:9998: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_crypt=yes
 else
@@ -10022,7 +10005,7 @@ ac_cv_func_crypt=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:10025: result: $ac_cv_func_crypt" >&5
+echo "$as_me:10008: result: $ac_cv_func_crypt" >&5
 echo "${ECHO_T}$ac_cv_func_crypt" >&6
 if test $ac_cv_func_crypt = yes; then
   cat >>confdefs.h <<\_ACEOF
@@ -10033,7 +10016,7 @@ fi
 
 fi
 
-echo "$as_me:10036: checking for setkey in -lcipher" >&5
+echo "$as_me:10019: checking for setkey in -lcipher" >&5
 echo $ECHO_N "checking for setkey in -lcipher... $ECHO_C" >&6
 if test "${ac_cv_lib_cipher_setkey+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10041,7 +10024,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcipher  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 10044 "configure"
+#line 10027 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -10066,16 +10049,16 @@ setkey ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10069: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10052: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10072: \$? = $ac_status" >&5
+  echo "$as_me:10055: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10075: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10058: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10078: \$? = $ac_status" >&5
+  echo "$as_me:10061: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_cipher_setkey=yes
 else
@@ -10086,7 +10069,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:10089: result: $ac_cv_lib_cipher_setkey" >&5
+echo "$as_me:10072: result: $ac_cv_lib_cipher_setkey" >&5
 echo "${ECHO_T}$ac_cv_lib_cipher_setkey" >&6
 if test $ac_cv_lib_cipher_setkey = yes; then
   CRYPTLIB="${CRYPTLIB} -lcipher"
 
 if test "x$WITH_SNMP" = "xyes"; then
 
-echo "$as_me:10098: checking for asn1.h" >&5
+echo "$as_me:10081: checking for asn1.h" >&5
 echo $ECHO_N "checking for asn1.h... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 10102 "configure"
+#line 10085 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_SYS_TYPES_H
@@ -10133,16 +10116,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10136: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10119: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10139: \$? = $ac_status" >&5
+  echo "$as_me:10122: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10142: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10125: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10145: \$? = $ac_status" >&5
+  echo "$as_me:10128: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   SNMP_INCLUDE=""
 else
@@ -10157,7 +10140,7 @@ if test "x$SNMP_INCLUDE" = "x"; then
   for try in /usr/include/ucd-snmp /usr/local/include/ucd-snmp $snmp_include_dir; do
     CFLAGS="$old_CFLAGS -I$try"
     cat >conftest.$ac_ext <<_ACEOF
-#line 10160 "configure"
+#line 10143 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_SYS_TYPES_H
@@ -10191,16 +10174,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10194: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10177: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10197: \$? = $ac_status" >&5
+  echo "$as_me:10180: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10200: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10183: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10203: \$? = $ac_status" >&5
+  echo "$as_me:10186: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   SNMP_INCLUDE="-I$try"
 else
@@ -10217,10 +10200,10 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
 if test "x$SNMP_INCLUDE" = "x"; then
-  echo "$as_me:10220: result: no" >&5
+  echo "$as_me:10203: result: no" >&5
 echo "${ECHO_T}no" >&6
 else
-  echo "$as_me:10223: result: yes" >&5
+  echo "$as_me:10206: result: yes" >&5
 echo "${ECHO_T}yes" >&6
   cat >>confdefs.h <<\_ACEOF
 #define HAVE_ASN1_H 1
@@ -10229,10 +10212,10 @@ _ACEOF
   old_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS $SNMP_INCLUDE"
 
-  echo "$as_me:10232: checking for snmp.h" >&5
+  echo "$as_me:10215: checking for snmp.h" >&5
 echo $ECHO_N "checking for snmp.h... $ECHO_C" >&6
     cat >conftest.$ac_ext <<_ACEOF
-#line 10235 "configure"
+#line 10218 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_SYS_TYPES_H
@@ -10269,16 +10252,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10272: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10255: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10275: \$? = $ac_status" >&5
+  echo "$as_me:10258: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10278: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10261: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10281: \$? = $ac_status" >&5
+  echo "$as_me:10264: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cat >>confdefs.h <<\_ACEOF
 #define HAVE_SNMP_H 1
@@ -10290,17 +10273,17 @@ cat conftest.$ac_ext >&5
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
     if test "x$ac_cv_header_snmp_h" = "xyes"; then
-      echo "$as_me:10293: result: yes" >&5
+      echo "$as_me:10276: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     else
-      echo "$as_me:10296: result: no" >&5
+      echo "$as_me:10279: result: no" >&5
 echo "${ECHO_T}no" >&6
     fi
 
-    echo "$as_me:10300: checking for snmp_impl.h" >&5
+    echo "$as_me:10283: checking for snmp_impl.h" >&5
 echo $ECHO_N "checking for snmp_impl.h... $ECHO_C" >&6
     cat >conftest.$ac_ext <<_ACEOF
-#line 10303 "configure"
+#line 10286 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_SYS_TYPES_H
@@ -10340,16 +10323,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10343: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10326: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10346: \$? = $ac_status" >&5
+  echo "$as_me:10329: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10349: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10332: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10352: \$? = $ac_status" >&5
+  echo "$as_me:10335: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cat >>confdefs.h <<\_ACEOF
 #define HAVE_SNMP_IMPL_H 1
@@ -10361,20 +10344,20 @@ cat conftest.$ac_ext >&5
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
     if test "x$ac_cv_header_snmp_h" = "xyes"; then
-      echo "$as_me:10364: result: yes" >&5
+      echo "$as_me:10347: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     else
-      echo "$as_me:10367: result: no" >&5
+      echo "$as_me:10350: result: no" >&5
 echo "${ECHO_T}no" >&6
     fi
 
-  echo "$as_me:10371: checking for snmp_build_var_op in -lsnmp" >&5
+  echo "$as_me:10354: checking for snmp_build_var_op in -lsnmp" >&5
 echo $ECHO_N "checking for snmp_build_var_op in -lsnmp... $ECHO_C" >&6
 
   old_LIBS="$LIBS"
   LIBS="$old_LIBS -lsnmp"
   cat >conftest.$ac_ext <<_ACEOF
-#line 10377 "configure"
+#line 10360 "configure"
 #include "confdefs.h"
 extern char snmp_build_var_op();
 #ifdef F77_DUMMY_MAIN
@@ -10392,16 +10375,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10395: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10378: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10398: \$? = $ac_status" >&5
+  echo "$as_me:10381: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10401: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10384: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10404: \$? = $ac_status" >&5
+  echo "$as_me:10387: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   SNMP_LIBS="-lsnmp"
 else
@@ -10415,7 +10398,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
     for try in /usr/lib /usr/local/lib /usr/local/snmp/lib $snmp_lib_dir; do
       LIBS="$old_LIBS -L$try -lsnmp"
       cat >conftest.$ac_ext <<_ACEOF
-#line 10418 "configure"
+#line 10401 "configure"
 #include "confdefs.h"
 extern char snmp_build_var_op();
 #ifdef F77_DUMMY_MAIN
@@ -10433,16 +10416,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10436: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10419: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10439: \$? = $ac_status" >&5
+  echo "$as_me:10422: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10442: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10425: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10445: \$? = $ac_status" >&5
+  echo "$as_me:10428: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   SNMP_LIBS="-L$try -lsnmp"
 else
@@ -10456,7 +10439,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
       fi
       LIBS="$old_LIBS -L$try -lsnmp -lcrypto"
       cat >conftest.$ac_ext <<_ACEOF
-#line 10459 "configure"
+#line 10442 "configure"
 #include "confdefs.h"
 extern char snmp_build_var_op();
 #ifdef F77_DUMMY_MAIN
@@ -10474,16 +10457,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10477: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10460: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10480: \$? = $ac_status" >&5
+  echo "$as_me:10463: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10483: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10466: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10486: \$? = $ac_status" >&5
+  echo "$as_me:10469: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   SNMP_LIBS="-L$try -lsnmp -lcrypto"
 else
@@ -10501,11 +10484,11 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
           CFLAGS="$old_CFLAGS"
   if test "x$SNMP_LIBS" = "x"; then
-    echo "$as_me:10504: result: no" >&5
+    echo "$as_me:10487: result: no" >&5
 echo "${ECHO_T}no" >&6
     SNMP_INCLUDE=
   else
-    echo "$as_me:10508: result: yes" >&5
+    echo "$as_me:10491: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     cat >>confdefs.h <<\_ACEOF
 #define WITH_SNMP 1
@@ -10522,7 +10505,7 @@ fi
 
 if test "X$ac_cv_func_sem_init" = "Xno"; then
 
-echo "$as_me:10525: checking for sem_init in -lposix4" >&5
+echo "$as_me:10508: checking for sem_init in -lposix4" >&5
 echo $ECHO_N "checking for sem_init in -lposix4... $ECHO_C" >&6
 if test "${ac_cv_lib_posix4_sem_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10530,7 +10513,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lposix4  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 10533 "configure"
+#line 10516 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -10555,16 +10538,16 @@ sem_init ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10558: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10541: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10561: \$? = $ac_status" >&5
+  echo "$as_me:10544: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10564: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10547: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10567: \$? = $ac_status" >&5
+  echo "$as_me:10550: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_posix4_sem_init=yes
 else
@@ -10575,7 +10558,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:10578: result: $ac_cv_lib_posix4_sem_init" >&5
+echo "$as_me:10561: result: $ac_cv_lib_posix4_sem_init" >&5
 echo "${ECHO_T}$ac_cv_lib_posix4_sem_init" >&6
 if test $ac_cv_lib_posix4_sem_init = yes; then
   cat >>confdefs.h <<_ACEOF
@@ -10588,7 +10571,7 @@ fi
 
   if test "X$ac_cv_lib_posix4_sem_init" = "X"; then
     if test "$WITH_THREAD_POOL" = "yes"; then
-      { echo "$as_me:10591: WARNING: You do not have posix semaphores.  Disabling thread pools" >&5
+      { echo "$as_me:10574: WARNING: You do not have posix semaphores.  Disabling thread pools" >&5
 echo "$as_me: WARNING: You do not have posix semaphores.  Disabling thread pools" >&2;}
     fi
     WITH_THREAD_POOL=no
@@ -10596,10 +10579,10 @@ echo "$as_me: WARNING: You do not have posix semaphores.  Disabling thread pools
 fi
 
 gethostbyaddrrstyle=""
-echo "$as_me:10599: checking gethostbyaddr_r() syntax" >&5
+echo "$as_me:10582: checking gethostbyaddr_r() syntax" >&5
 echo $ECHO_N "checking gethostbyaddr_r() syntax... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 10602 "configure"
+#line 10585 "configure"
 #include "confdefs.h"
 #include <netdb.h>
 #ifdef F77_DUMMY_MAIN
@@ -10617,16 +10600,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10620: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10603: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10623: \$? = $ac_status" >&5
+  echo "$as_me:10606: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10626: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10609: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10629: \$? = $ac_status" >&5
+  echo "$as_me:10612: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cat >>confdefs.h <<\_ACEOF
@@ -10641,7 +10624,7 @@ cat conftest.$ac_ext >&5
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 cat >conftest.$ac_ext <<_ACEOF
-#line 10644 "configure"
+#line 10627 "configure"
 #include "confdefs.h"
 #include <netdb.h>
 #ifdef F77_DUMMY_MAIN
@@ -10659,16 +10642,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10662: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10645: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10665: \$? = $ac_status" >&5
+  echo "$as_me:10648: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10668: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10651: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10671: \$? = $ac_status" >&5
+  echo "$as_me:10654: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cat >>confdefs.h <<\_ACEOF
@@ -10684,7 +10667,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 10687 "configure"
+#line 10670 "configure"
 #include "confdefs.h"
 #include <netdb.h>
 #ifdef F77_DUMMY_MAIN
@@ -10702,16 +10685,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10705: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10688: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10708: \$? = $ac_status" >&5
+  echo "$as_me:10691: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10711: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10694: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10714: \$? = $ac_status" >&5
+  echo "$as_me:10697: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cat >>confdefs.h <<\_ACEOF
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 if test "x$gethostbyaddrrstyle" = "x"; then
-       echo "$as_me:10730: result: none!  It must not exist, here." >&5
+       echo "$as_me:10713: result: none!  It must not exist, here." >&5
 echo "${ECHO_T}none!  It must not exist, here." >&6
 else
-       echo "$as_me:10733: result: ${gethostbyaddrrstyle}-style" >&5
+       echo "$as_me:10716: result: ${gethostbyaddrrstyle}-style" >&5
 echo "${ECHO_T}${gethostbyaddrrstyle}-style" >&6
 fi
 
 
 if test "$WITH_THREAD_POOL" = "yes"; then
         if test "$WITH_THREADS" != "yes"; then
-    { { echo "$as_me:10747: error: You must have threads enabled for thread pools to work." >&5
+    { { echo "$as_me:10730: error: You must have threads enabled for thread pools to work." >&5
 echo "$as_me: error: You must have threads enabled for thread pools to work." >&2;}
    { (exit 1); exit 1; }; }
   fi
 
         if test "X$PTHREADLIB" = "X"; then
-    { { echo "$as_me:10753: error: You must have threading libraries for thread pools to work." >&5
+    { { echo "$as_me:10736: error: You must have threading libraries for thread pools to work." >&5
 echo "$as_me: error: You must have threading libraries for thread pools to work." >&2;}
    { (exit 1); exit 1; }; }
   fi
@@ -10869,7 +10852,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:10872: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:10855: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -11068,7 +11051,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:11071: error: ambiguous option: $1
+    { { echo "$as_me:11054: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -11087,7 +11070,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:11090: error: unrecognized option: $1
+  -*) { { echo "$as_me:11073: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -11120,7 +11103,7 @@ do
   "./scripts/cryptpasswd" ) CONFIG_FILES="$CONFIG_FILES ./scripts/cryptpasswd" ;;
   "./raddb/radiusd.conf" ) CONFIG_FILES="$CONFIG_FILES ./raddb/radiusd.conf" ;;
   "src/include/autoconf.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/include/autoconf.h" ;;
-  *) { { echo "$as_me:11123: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:11106: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -11243,7 +11226,6 @@ s,@GREP@,$GREP,;t t
 s,@REGEX@,$REGEX,;t t
 s,@REGEX_EXTENDED@,$REGEX_EXTENDED,;t t
 s,@LIBPREFIX@,$LIBPREFIX,;t t
-s,@libradius_a@,$libradius_a,;t t
 s,@CRYPTLIB@,$CRYPTLIB,;t t
 s,@SNMP_LIBS@,$SNMP_LIBS,;t t
 s,@SNMP_INCLUDE@,$SNMP_INCLUDE,;t t
@@ -11340,7 +11322,7 @@ for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
       as_incr_dir=$as_incr_dir/$as_mkdir_dir
       test -d "$as_incr_dir" ||
         mkdir "$as_incr_dir" ||
-       { { echo "$as_me:11343: error: cannot create \"$ac_dir\"" >&5
+       { { echo "$as_me:11325: error: cannot create \"$ac_dir\"" >&5
 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
    { (exit 1); exit 1; }; }
     ;;
@@ -11372,7 +11354,7 @@ case $srcdir in
 esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:11375: creating $ac_file" >&5
+    { echo "$as_me:11357: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -11390,7 +11372,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:11393: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:11375: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -11403,7 +11385,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:11406: error: cannot find input file: $f" >&5
+           { { echo "$as_me:11388: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -11463,7 +11445,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:11466: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:11448: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -11474,7 +11456,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:11477: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:11459: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -11487,7 +11469,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:11490: error: cannot find input file: $f" >&5
+           { { echo "$as_me:11472: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -11604,7 +11586,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:11607: $ac_file is unchanged" >&5
+      { echo "$as_me:11589: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -11631,7 +11613,7 @@ for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
       as_incr_dir=$as_incr_dir/$as_mkdir_dir
       test -d "$as_incr_dir" ||
         mkdir "$as_incr_dir" ||
-       { { echo "$as_me:11634: error: cannot create \"$ac_dir\"" >&5
+       { { echo "$as_me:11616: error: cannot create \"$ac_dir\"" >&5
 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
    { (exit 1); exit 1; }; }
     ;;
@@ -11718,7 +11700,7 @@ if test "$no_recursion" != yes; then
     # parts of a large source tree are present.
     test -d $srcdir/$ac_dir || continue
 
-    { echo "$as_me:11721: configuring in $ac_dir" >&5
+    { echo "$as_me:11703: configuring in $ac_dir" >&5
 echo "$as_me: configuring in $ac_dir" >&6;}
     { case "$ac_dir" in
   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
@@ -11733,7 +11715,7 @@ for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
       as_incr_dir=$as_incr_dir/$as_mkdir_dir
       test -d "$as_incr_dir" ||
         mkdir "$as_incr_dir" ||
-       { { echo "$as_me:11736: error: cannot create \"$ac_dir\"" >&5
+       { { echo "$as_me:11718: error: cannot create \"$ac_dir\"" >&5
 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
    { (exit 1); exit 1; }; }
     ;;
@@ -11774,7 +11756,7 @@ esac
     elif test -f $ac_srcdir/configure.in; then
       ac_sub_configure=$ac_configure
     else
-      { echo "$as_me:11777: WARNING: no configuration information is in $ac_dir" >&5
+      { echo "$as_me:11759: WARNING: no configuration information is in $ac_dir" >&5
 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
       ac_sub_configure=
     fi
@@ -11788,12 +11770,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
         ac_sub_cache_file=$ac_top_builddir$cache_file ;;
       esac
 
-      { echo "$as_me:11791: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
+      { echo "$as_me:11773: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
 echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
       # The eval makes quoting arguments work.
       eval $ac_sub_configure $ac_sub_configure_args \
            --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir ||
-        { { echo "$as_me:11796: error: $ac_sub_configure failed for $ac_dir" >&5
+        { { echo "$as_me:11778: error: $ac_sub_configure failed for $ac_dir" >&5
 echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
    { (exit 1); exit 1; }; }
     fi
index 1458e45..d5f61b1 100644 (file)
@@ -12,7 +12,7 @@ INCLUDES      = ../include/radiusd.h ../include/radius.h ../include/libradius.h ../in
 
 CFLAGS         += -I../include $(SNMP_INCLUDE) 
 LDFLAGS                += -L../lib
-LIBS           += $(SNMP_LIBS)
+LIBS           += -lradius $(SNMP_LIBS)
 MODULE_LIBS    = $(STATIC_MODULES)
 VFLAGS         = -DRADIUSD_MAJOR_VERSION=$(RADIUSD_MAJOR_VERSION)
 VFLAGS         += -DRADIUSD_MINOR_VERSION=$(RADIUSD_MINOR_VERSION)